This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 415601 - (CVE-2007-6279) CVE-2007-6279 Double-frees via crafted FLAC file
CVE-2007-6279 Double-frees via crafted FLAC file
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=bugtraq,impact=moderate,public...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-07 08:22 EST by Lubomir Kundrak
Modified: 2014-08-20 16:46 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-10 10:59:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubomir Kundrak 2007-12-07 08:22:10 EST
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-6279 to the following vulnerability:

Multiple double-free vulnerabilities in Free Lossless Audio Codec (FLAC) libFLAC before 1.2.1 allow user-assisted remote attackers to execute arbitrary code via malformed (1) Seektable values or (2) Seektable Data Offsets in a .FLAC file.

References:

http://research.eeye.com/html/advisories/published/AD20071115.html
http://www.securityfocus.com/archive/1/archive/1/483765/100/200/threaded
http://www.kb.cert.org/vuls/id/544656
http://www.securitytracker.com/id?1018974
Comment 1 Lubomir Kundrak 2007-12-10 10:59:13 EST
This flaw is not exploitable and can only cause an application to crash. Red Hat
does not consider unexploitable crash of flac application and applications that
use flac libraries such as media players to be a security issue.

Note You need to log in before you can comment on or make changes to this bug.